GNU bug report logs - #33299
shepherd: Service ssh-daemon could not be started.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: swedebugia <swedebugia@HIDDEN>; Keywords: unreproducible; merged with #30993; dated Wed, 7 Nov 2018 10:05:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 33299 <at> debbugs.gnu.org:


Received: (at 33299) by debbugs.gnu.org; 7 Nov 2018 21:37:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 07 16:37:03 2018
Received: from localhost ([127.0.0.1]:39994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gKVVX-0004zw-Br
	for submit <at> debbugs.gnu.org; Wed, 07 Nov 2018 16:37:03 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gKVVV-0004zF-9L
 for 33299 <at> debbugs.gnu.org; Wed, 07 Nov 2018 16:37:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gKVVN-0007Oj-Jg
 for 33299 <at> debbugs.gnu.org; Wed, 07 Nov 2018 16:36:56 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36787)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gKVV4-00079h-TJ; Wed, 07 Nov 2018 16:36:38 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=47750 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gKVV4-0003nz-KW; Wed, 07 Nov 2018 16:36:34 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: bug#33299: shepherd: Service ssh-daemon could not be started.
References: <c78be403-0616-67a0-fd5a-e1196b6a14d1@HIDDEN>
Date: Wed, 07 Nov 2018 22:36:33 +0100
In-Reply-To: <c78be403-0616-67a0-fd5a-e1196b6a14d1@HIDDEN> (swedebugia's
 message of "Wed, 7 Nov 2018 11:03:10 +0100")
Message-ID: <87muqksh7i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33299
Cc: 33299 <at> debbugs.gnu.org, 30993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

swedebugia <swedebugia@HIDDEN> skribis:

> This morning I started my GuixSD VM as usual.
>
> Openssh server was not running even though it was enabled and should
> have been respawned. Hmm.

This seems to be the same issue as described in
<https://issues.guix.info/issue/30993> (I=E2=80=99ve now merged both).

It=E2=80=99s a serious problem=E2=80=A6

Thanks for reporting it,
Ludo=E2=80=99.





Information forwarded to bug-guix@HIDDEN:
bug#33299; Package guix. Full text available.
Merged 30993 33299. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Nov 2018 10:04:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 07 05:04:02 2018
Received: from localhost ([127.0.0.1]:38169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gKKgq-0004mE-Nl
	for submit <at> debbugs.gnu.org; Wed, 07 Nov 2018 05:04:02 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gKKgo-0004m2-Qk
 for submit <at> debbugs.gnu.org; Wed, 07 Nov 2018 05:03:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gKKgb-0000lA-Ee
 for submit <at> debbugs.gnu.org; Wed, 07 Nov 2018 05:03:51 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50439)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gKKgR-0000f7-2m
 for submit <at> debbugs.gnu.org; Wed, 07 Nov 2018 05:03:38 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42984)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gKKgN-0002qo-1X
 for bug-guix@HIDDEN; Wed, 07 Nov 2018 05:03:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gKKg8-0000Wi-T9
 for bug-guix@HIDDEN; Wed, 07 Nov 2018 05:03:22 -0500
Received: from mx1.riseup.net ([198.252.153.129]:50222)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gKKg8-0000V3-DH
 for bug-guix@HIDDEN; Wed, 07 Nov 2018 05:03:16 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 340CE1A0004
 for <bug-guix@HIDDEN>; Wed,  7 Nov 2018 02:03:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1541584995; bh=3yioyL49UFKvvTn6tW3x24hMLOfxM1s27UQlDJD0oCY=;
 h=To:From:Subject:Date:From;
 b=Hz7uFvaqX0YqTGYUlbo/AKSmJ95dY+tSy4LaQovjHAgwHkoAo9Gp0qfU1w7Wb3U+E
 DfDA7vrIRk6xsIZjUgxel3ck1liXjom3frl7K6otvU21GKlM4kmt603UU7c4Z1s1HR
 0Or2ee8GD4uYcr9MSvZlRbxaiEGWyskMI/wlF408=
X-Riseup-User-ID: F82166AB8C50B1CD2BD51AF22D77350890A2365CC58F58358D9C45B8E31EA5DA
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 51E10651B1
 for <bug-guix@HIDDEN>; Wed,  7 Nov 2018 02:03:13 -0800 (PST)
To: bug-guix@HIDDEN
From: swedebugia <swedebugia@HIDDEN>
Subject: shepherd: Service ssh-daemon could not be started.
Message-ID: <c78be403-0616-67a0-fd5a-e1196b6a14d1@HIDDEN>
Date: Wed, 7 Nov 2018 11:03:10 +0100
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="------------5605D2151F7A729B47E272C4"
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

This is a multi-part message in MIME format.
--------------5605D2151F7A729B47E272C4
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi

This morning I started my GuixSD VM as usual.

Openssh server was not running even though it was enabled and should=20
have been respawned. Hmm.

Lucky for me SSH is not the only way into this system...

 From the host I got:

$ ssh=C2=A0 sdb@localhost -p10022
ssh_exchange_identification: read: Connection reset by peer

On the guest:

$ grep -3 "ssh-daemon could not /var/log/messages
Nov=C2=A0 7 07:19:30 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.366701] VFS:=
 Dquot-cache hash=20
table entries: 512 (order 0, 4096 bytes)
Nov=C2=A0 7 07:19:30 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.367764] AppA=
rmor: AppArmor=20
Filesystem Enabled
Nov=C2=A0 7 07:19:30 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.368569] pnp:=
 PnP ACPI init
Nov=C2=A0 7 07:19:31 localhost shepherd[1]: Service ssh-daemon could not =
be=20
started.
Nov=C2=A0 7 07:19:31 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.370291] pnp:=
 PnP ACPI: found 6=20
devices
Nov=C2=A0 7 07:19:31 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.378960] cloc=
ksource: acpi_pm:=20
mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
Nov=C2=A0 7 07:19:31 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.380434] NET:=
 Registered=20
protocol family 2

Herd said:

$ cat sshd-stopped
Status of ssh-daemon:
 =C2=A0 It is stopped.
 =C2=A0 It is enabled.
 =C2=A0 Provides (ssh-daemon).
 =C2=A0 Requires (syslogd).
 =C2=A0 Conflicts with ().
 =C2=A0 Will be respawned. =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 <-- not true!

Starting it yielded:

$ cat sshd-start
Service ssh-daemon has been started.

How do I increase the verbosity of shepherd? I did not find anything=20
about that in the shepherd manual=20
<https://www.gnu.org/software/shepherd/manual/shepherd.html#Invoking-shep=
herd>.

Is there a way to debug further?

--=20
Cheers
Swedebugia
PS
$ guix --version
guix (GNU Guix) 1f44934fb6e2cefccbecd4fa347025349fa9ff76 (=3D0.15


--------------5605D2151F7A729B47E272C4
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>

    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF=
-8">
  </head>
  <body text=3D"#000000" bgcolor=3D"#FFFFFF">
    <p>Hi</p>
    <p>This morning I started my GuixSD VM as usual.</p>
    <p>Openssh server was not running even though it was enabled and
      should have been respawned. Hmm.</p>
    <p>Lucky for me SSH is not the only way into this system...</p>
    <p>From the host I got:<br>
    </p>
    <p>$ ssh=C2=A0 sdb@localhost -p10022<br>
      ssh_exchange_identification: read: Connection reset by peer</p>
    <p>On the guest:<br>
    </p>
    <p>$ grep -3 "ssh-daemon could not /var/log/messages<br>
      Nov=C2=A0 7 07:19:30 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.366701=
] VFS: Dquot-cache
      hash table entries: 512 (order 0, 4096 bytes)<br>
      Nov=C2=A0 7 07:19:30 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.367764=
] AppArmor:
      AppArmor Filesystem Enabled<br>
      Nov=C2=A0 7 07:19:30 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.368569=
] pnp: PnP ACPI
      init<br>
      Nov=C2=A0 7 07:19:31 localhost shepherd[1]: Service ssh-daemon coul=
d
      not be started. <br>
      Nov=C2=A0 7 07:19:31 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.370291=
] pnp: PnP ACPI:
      found 6 devices<br>
      Nov=C2=A0 7 07:19:31 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.378960=
] clocksource:
      acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns:
      2085701024 ns<br>
      Nov=C2=A0 7 07:19:31 localhost vmunix: [=C2=A0=C2=A0=C2=A0 0.380434=
] NET: Registered
      protocol family 2</p>
    <p>Herd said:<br>
    </p>
    <p>$ cat sshd-stopped <br>
      Status of ssh-daemon:<br>
      =C2=A0 It is stopped.<br>
      =C2=A0 It is enabled.<br>
      =C2=A0 Provides (ssh-daemon).<br>
      =C2=A0 Requires (syslogd).<br>
      =C2=A0 Conflicts with ().<br>
      =C2=A0 Will be respawned. =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 &lt;-- not true!<br>
    </p>
    <p>Starting it yielded:<br>
    </p>
    <p>$ cat sshd-start <br>
      Service ssh-daemon has been started.<br>
    </p>
    <p>How do I increase the verbosity of shepherd? I did not find
      anything about that in the <a moz-do-not-send=3D"true"
href=3D"https://www.gnu.org/software/shepherd/manual/shepherd.html#Invoki=
ng-shepherd">shepherd
        manual</a>.</p>
    <p>Is there a way to debug further?<br>
    </p>
    <pre class=3D"moz-signature" cols=3D"72">--=20
Cheers
Swedebugia
PS=20
$ guix --version
guix (GNU Guix) 1f44934fb6e2cefccbecd4fa347025349fa9ff76 (=3D0.15

</pre>
  </body>
</html>

--------------5605D2151F7A729B47E272C4--




Acknowledgement sent to swedebugia <swedebugia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33299; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 7 Nov 2018 21:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.